%define module	dulwich
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so


Summary:	Python implementation of the Git file formats and protocols
Name:		python-%{module}
Version:	0.10.0
Release:	%mkrel 1
Source0:	https://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.gz
License:	GPLv2
Group:		Development/Python
Url:		https://launchpad.net/dulwich/
BuildRequires:	pkgconfig(python)
BuildRequires:	python-sphinx
BuildRequires:	python-nose
BuildRequires:	git-core
BuildRequires:	python-setuptools

%description
Dulwich is a pure-Python implementation of the Git file formats and protocols.

%prep
%setup -q -n %{module}-%{version}
rm -rf %{srcname}.egg-info

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

pushd docs
%__make html
popd

#%check
#cd dulwich/tests
#nosetests test*.py


%files 
%doc COPYING NEWS README.md docs/
%{_bindir}/dul-*
%{_bindir}/%{module}
%{python_sitearch}/%{module}*
%exclude %{python_sitearch}/%{module}/tests*
%exclude %{python_sitearch}/docs*


%changelog
* Tue Mar 24 2015 philippem <philippem> 0.10.0-1.mga4
+ Revision: 819177
- update to 0.10.0 fix  CVE-2014-9706 and CVE-2015-0838 mga#15558
- update to 0.9.9 fix  CVE-2014-9706 and CVE-2015-0838 mga#15558

* Tue Oct 22 2013 umeabot <umeabot> 0.9.0-3.mga4
+ Revision: 543355
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.0-2.mga4
+ Revision: 498454
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 04 2013 philippem <philippem> 0.9.0-1.mga4
+ Revision: 450242
- Update to 0.9.0

* Sun Jan 13 2013 umeabot <umeabot> 0.8.5-2.mga3
+ Revision: 378773
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 lebedov <lebedov> 0.8.5-1.mga3
+ Revision: 281123
- Update to 0.8.5.

* Sun Jan 22 2012 lebedov <lebedov> 0.8.3-1.mga2
+ Revision: 199653
- Update to 0.8.3.

* Mon Dec 19 2011 lebedov <lebedov> 0.8.2-1.mga2
+ Revision: 184080
- Update to 0.8.2.

* Wed Nov 30 2011 lebedov <lebedov> 0.8.1-1.mga2
+ Revision: 174435
- Update to 0.8.1.

* Tue Sep 20 2011 lebedov <lebedov> 0.8.0-1.mga2
+ Revision: 146150
- imported package python-dulwich

